Summary:	Library functionality for FIDO 2.0, including communication with a device over USB
Summary(pl.UTF-8):	Biblioteka funkcji dla FIDO 2.0, wraz z komunikacją z urządzeniem po USB
Name:		libfido2
Version:	1.9.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/Yubico/libfido2/releases
Source0:	https://github.com/Yubico/libfido2/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	ef5bea44900665ae7893e0b5cc740277
URL:		https://developers.yubico.com/libfido2/
BuildRequires:	cmake >= 3.0
BuildRequires:	hidapi-devel
BuildRequires:	libcbor-devel
BuildRequires:	openssl-devel >= 1.1.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	udev-devel
BuildRequires:	zlib-devel
Requires:	openssl >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides library functionality for communicating with a
FIDO device over USB as well as verifying attestation and assertion
signatures.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę funkcji do komunikacji z urządzeniami
FIDO po USB, a także weryfikowania podpisów poświadczeń i zapewnień.

%package devel
Summary:	Header files for FIDO2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FIDO2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 1.1.0

%description devel
Header files for FIDO2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FIDO2.

%package static
Summary:	Static FIDO2 library
Summary(pl.UTF-8):	Biblioteka statyczna FIDO2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FIDO2 library.

%description static -l pl.UTF-8
Biblioteka statyczna FIDO2.

%prep
%setup -q

%build
install -d build
cd build
# note: exects CMAKE_INSTALL_LIBDIR relative to prefix
%cmake .. \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DGZIP_PATH=FALSE \
	-DUSE_HIDAPI=ON \
	-DNFC_LINUX=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.adoc
%attr(755,root,root) %{_bindir}/fido2-assert
%attr(755,root,root) %{_bindir}/fido2-cred
%attr(755,root,root) %{_bindir}/fido2-token
%attr(755,root,root) %{_libdir}/libfido2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfido2.so.1
%{_mandir}/man1/fido2-assert.1*
%{_mandir}/man1/fido2-cred.1*
%{_mandir}/man1/fido2-token.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfido2.so
%{_includedir}/fido
%{_includedir}/fido.h
%{_pkgconfigdir}/libfido2.pc
%{_mandir}/man3/*_pk_*.3*
%{_mandir}/man3/fido*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libfido2.a
%changelog
* Sun Oct 31 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfido2.git;a=log;h=master

* Sat Oct 30 2021 Jan Palus <atler@pld-linux.org> 8d80063
- macros for %cmake

* Sat Oct 30 2021 Jan Palus <atler@pld-linux.org> afca0c5
- up to 1.9.0

* Wed Oct 06 2021 Jan Rękorajski <baggins@pld-linux.org> f56f4e9
- rel 3, disable warnnings to build using deprecated openssl api

* Mon Oct 04 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 1371dba
- Release 2 (by relup.sh)

* Mon Sep 28 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> c8d4b63
- up to 1.5.0

* Sat Apr 18 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> fcbcd7d
- up to 1.4.0

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> b364740
- release 3 (libcbor soname change)

* Sun Mar 29 2020 Elan Ruusamäe <glen@pld-linux.org> f8840c5
- Add todo about bad linking

* Sat Feb 29 2020 Jakub Bogusz <qboosh@pld-linux.org> f72e6dc
- package static library (built unconditionally now)
- updated dependencies (now it uses udev instead of hidapi)
- release 2

* Fri Feb 28 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> a3bee33
- up to 1.3.1

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> d74055f
- up to 1.3.0

* Fri Nov 22 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 16e6dfe
- up to 1.2.0

* Sun May 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 7bd421f
- new; requires openssl 1.1.0

